#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
int main()
{
   ios::sync_with_stdio(false);
   ll rez=0;
   ll n,m;
   cin >> n >> m;
   ll a[n];
   for(ll i=0;i<n;i++)
    cin >> a[i];
   ll f,s;
   for(ll i=0;i<m;i++)
   {
       cin >>f>>s;
       rez+=max(a[f-1]*(-1)+a[s-1]*(-1),a[f-1]+a[s-1]);
   }
   cout << rez << '\n';
   return 0;

}